Bug 1194472 - Current virt-builder index breaks version < 1.26
Summary: Current virt-builder index breaks version < 1.26
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
: 1276721 1284274 1323919 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 22:25 UTC by Paul Barker
Modified: 2016-04-05 08:06 UTC (History)
6 users (show)

Fixed In Version: libguestfs-1.24.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-30 16:11:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1433750 None None None Never

Description Paul Barker 2015-02-19 22:25:00 UTC
The current index at 'http://libguestfs.org/download/builder/index.asc' contains duplicate entries for 'fedora-21' corresponding to the x86_64 and aarch64 architectures. Talking with @rwmjones on IRC it was found that the current index works with virt-builder v1.28 but fails for me with v1.24.5 which is the version currently available on Ubuntu 14.04 LTS. I've been told that the necessary support was added in v1.26.

Comment 1 Richard W.M. Jones 2015-02-19 22:26:18 UTC
This happens because I added the fedora-21 aarch64 image.
Assigning to Pino.

Comment 2 Richard W.M. Jones 2015-02-21 14:39:17 UTC
I have added a patch to the libguestfs stable-1.24 branch which
fixes this:

https://github.com/libguestfs/libguestfs/commit/719e3bec65bf55658b32144d771dd7f248451d61

Currently Ubuntu 14.04 is using an old version of libguestfs, and
not even the latest version of libguestfs along the 1.24 stable
branch.  I highly recommend that Ubuntu updates to 1.24.9, which
includes this fix and a number of security fixes too.  It should
be completely safe to update to 1.24.9 since the stable branch
only takes simple bug and security fixes.

http://libguestfs.org/guestfs.3.html#libguestfs-version-numbers
http://libguestfs.org/download/1.24-stable/

However if that is not possible for some reason then taking just
the above patch will fix the current bug.

Comment 3 Richard W.M. Jones 2015-10-30 16:10:12 UTC
*** Bug 1276721 has been marked as a duplicate of this bug. ***

Comment 4 Richard W.M. Jones 2015-10-30 16:11:07 UTC
This is long fixed, see comment 2.

Comment 5 Pino Toscano 2015-11-23 08:42:51 UTC
*** Bug 1284274 has been marked as a duplicate of this bug. ***

Comment 6 Richard W.M. Jones 2016-04-05 08:06:40 UTC
*** Bug 1323919 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.